CREATE TABLE IF NOT EXISTS `ask` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `count_new` int(11) DEFAULT '0',
  `access` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `ask_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ask_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `anonim` int(11) DEFAULT '0',
  `text` varchar(1000) DEFAULT NULL,
  `re_text` varchar(1000) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `new` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `audio` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `artist` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `duration` varchar(11) NOT NULL,
  `file` varchar(100) NOT NULL,
  `dir` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `audioplaylist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `tracks` text,
  `count` int(11) default '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `avatars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `avatars_comm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(1000) NOT NULL,
  `quote` varchar(1000) DEFAULT NULL,
  `quote_id` int(11) DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `for_id` int(11) DEFAULT NULL,
  `msg` varchar(1000) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `feed` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `sex` int(1) NOT NULL DEFAULT '1',
  `type` varchar(50) NOT NULL,
  `refid` text,
  `uptime` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `friends` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `friend_id` int(11) NOT NULL,
  `online` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `avatar` varchar(100) DEFAULT NULL,
  `name` varchar(200) NOT NULL,
  `status` varchar(500) DEFAULT NULL,
  `url` varchar(100) DEFAULT NULL,
  `region` int(11) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `category` int(11) DEFAULT NULL,
  `about` varchar(10000) DEFAULT NULL,
  `type` int(2) NOT NULL,
  `admins` text,
  `moders` text,
  `users` text,
  `count_users` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  `blacklist` text,
  `count_wall` int(11) DEFAULT '0',
  `count_wall_photos` int(11) DEFAULT '0',
  `count_wall_video` int(11) DEFAULT '0',
  `count_moder_wall` int(11) DEFAULT '0',
  `count_forum` int(11) DEFAULT '0',
  `access_wall` int(2) DEFAULT '0',
  `access_comm` int(2) DEFAULT '0',
  `access_forum` int(2) DEFAULT '0',
  `access_new_users` int(2) DEFAULT '0',
  `new_users` text,
  `count_new_users` int(11) DEFAULT '0',
  `banlist` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_avatars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `group_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_ban` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `ban_id` int(11) NOT NULL,
  `text` varchar(1000) DEFAULT NULL,
  `do` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ru_name` varchar(50) NOT NULL,
  `ua_name` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

INSERT INTO `groups_category` (`id`, `ru_name`, `ua_name`) VALUES
(1, 'Игры', 'Ігри'),
(2, 'IT (компьютеры и софт)', 'ІТ (комп''ютери та софт)'),
(3, 'Авто/мото', 'Авто/мото'),
(4, 'Активный досуг', 'Активний відпочинок'),
(5, 'Бизнес', 'Бізнес'),
(6, 'Безопасность', 'Безпека'),
(7, 'Юмор', 'Гумор'),
(8, 'Дом и семья', 'Дім та сім''я'),
(9, 'Дизайн и графика', 'Дизайн і графіка'),
(10, 'Домашние животные', 'Домашні тварини'),
(11, 'Эзотерика', 'Езотерика'),
(12, 'Электроника и бытовая техника', 'Електроніка та побутова техніка'),
(13, 'Эротика', 'Еротика'),
(14, 'Увлечения и хобби', 'Захоплення та хобі'),
(15, 'Здоровье', 'Здоров''я'),
(16, 'Знакомства и общение', 'Знайомство і спілкування'),
(17, 'Кино', 'Кіно'),
(18, 'Красота и мода', 'Краса і мода'),
(19, 'Кулинария', 'Кулінарія'),
(20, 'Культура и образование', 'Культура та мистецтво'),
(21, 'Литература', 'Література'),
(22, 'Мобильная связь и интернет', 'Мобільний зв''язок та інтернет'),
(23, 'Музыка', 'Музика'),
(24, 'Наука и техника', 'Наука і техніка'),
(25, 'Недвижимость', 'Нерухомість'),
(26, 'Новости и СМИ', 'Новини та ЗМІ'),
(27, 'Обустройство и ремонт', 'Облаштування та ремонт'),
(28, 'Образование', 'Освіта'),
(29, 'Путешествия', 'Подорожі'),
(30, 'Политика', 'Політика'),
(31, 'Продукты питания', 'Продукти харчування'),
(32, 'Промышленость', 'Промисловість'),
(33, 'Религия', 'Релігія'),
(34, 'Работа', 'Робота'),
(35, 'Развлечения', 'Розваги'),
(36, 'Страхование', 'Страхування'),
(37, 'Спорт', 'Спорт'),
(38, 'Общество, гуманитарные науки', 'Суспільство, гуманітарні науки'),
(39, 'Телевидение', 'Телебачення'),
(40, 'Товары и услуги', 'Товари та послуги'),
(41, 'Финансы', 'Фінанси'),
(42, 'Фото', 'Фото');

CREATE TABLE IF NOT EXISTS `groups_wall` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `from_group` int(11) DEFAULT '0',
  `from_user` int(11) DEFAULT '0',
  `from_anonim` int(11) DEFAULT '0',
  `wall_id` int(11) NOT NULL,
  `repost_id` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  `text` varchar(10000) DEFAULT NULL,
  `photos` text,
  `video` text,
  `audio` text,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `urepost` text,
  `crepost` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_wall_comm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(1000) NOT NULL,
  `quote` varchar(1000) DEFAULT NULL,
  `quote_id` int(11) DEFAULT NULL,
  `post_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_wall_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `wall_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_wall_video` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `wall_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_wall_moder` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `text` varchar(10000) DEFAULT NULL,
  `photos` text,
  `video` text,
  `audio` text,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `groups_forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `from_group` int(11) DEFAULT '0',
  `group_id` int(11) NOT NULL,
  `type` int(1) DEFAULT '0',
  `fix` int(1) DEFAULT '0',
  `title` varchar(200) DEFAULT NULL,
  `text` varchar(10000) DEFAULT NULL,
  `photos` text,
  `video` text,
  `audio` text,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `urepost` text,
  `crepost` int(11) DEFAULT '0',
  `cpost` int(11) DEFAULT '0',
  `upuser` int(11) DEFAULT NULL,
  `uptime` int(11) DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `groups_forum_post` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(1000) NOT NULL,
  `quote` varchar(1000) DEFAULT NULL,
  `quote_id` int(11) DEFAULT NULL,
  `post_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `mail_dialog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `for_id` int(11) NOT NULL,
  `from_id` int(11) NOT NULL,
  `text` varchar(100) NOT NULL,
  `from` int(11) NOT NULL,
  `np` int(11) DEFAULT '0',
  `count` int(11) DEFAULT '0',
  `del` int(11) DEFAULT '0',
  `count_cache` int(11) DEFAULT '0',
  `cache_photos` text,
  `dir` int(22) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `user_pen` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `mail_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `for_id` int(11) NOT NULL,
  `from_id` int(11) NOT NULL,
  `text` varchar(10000) NOT NULL,
  `photos` text,
  `np` int(11) DEFAULT '0',
  `del` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `my_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `groups` text,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `for_id` int(11) NOT NULL,
  `from_id` int(11) NOT NULL,
  `sex` int(1) NOT NULL DEFAULT '1',
  `mod` varchar(100) NOT NULL,
  `type` varchar(100) NOT NULL,
  `refid` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  `new` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `photos_albums` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `uptime` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `count_photos` int(11) DEFAULT '0',
  `cover` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `photos_comm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(1000) NOT NULL,
  `quote` varchar(1000) DEFAULT NULL,
  `quote_id` int(11) DEFAULT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `photos_file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `aid` int(11) DEFAULT NULL,
  `uptime` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `region` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ru_name` varchar(50) NOT NULL,
  `ua_name` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

INSERT INTO `region` (`id`, `ru_name`, `ua_name`) VALUES
(1, 'Винницкая', 'Вінницька'),
(2, 'Волынская', 'Волинська'),
(3, 'Днепропетровская', 'Дніпропетровська'),
(4, 'Донецкая', 'Донецька'),
(5, 'Житомирская', 'Житомирська'),
(6, 'Закарпатская', 'Закарпатська'),
(7, 'Запорожская', 'Запоріжська'),
(8, 'Ивано-Франковская', 'Івано-Франківська'),
(9, 'Киевская', 'Київська'),
(10, 'Кировоградская', 'Кіровоградська'),
(11, 'Крымская', 'Кримська'),
(12, 'Луганская', 'Луганська'),
(13, 'Львовская', 'Львівська'),
(14, 'Николаевская', 'Миколаївська'),
(15, 'Одесская', 'Одеська'),
(16, 'Полтавская', 'Полтавська'),
(17, 'Ровенская', 'Рівненська'),
(18, 'Сумская', 'Сумська'),
(19, 'Тернопольская', 'Тернопільська'),
(20, 'Харьковская', 'Харківська'),
(21, 'Херсонская', 'Херсонська'),
(22, 'Хмельницкая', 'Хмельницька'),
(23, 'Черкасская', 'Черкаська'),
(24, 'Черниговская', 'Чернігівська'),
(25, 'Черновицкая', 'Чернівецька');



CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(50) NOT NULL,
  `dostup` int(1) NOT NULL,
  `reg` int(1) NOT NULL,
  `updates` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

INSERT INTO `settings` (`id`, `url`, `dostup`, `reg`) VALUES
(1, 'test1.ru', 1, 1);



CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `provider` ENUM('vk', 'odnoklassniki', 'mailru', 'yandex', 'google', 'facebook') default NULL,
  `social_id` VARCHAR(255) default NULL,
  `cover` varchar(100) DEFAULT NULL,
  `avatar` varchar(100) DEFAULT NULL,
  `name` varchar(50) NOT NULL,
  `surname` varchar(50) NOT NULL,
  `mail` varchar(100) NOT NULL,
  `pass` varchar(200) NOT NULL,
  `status` varchar(500) DEFAULT NULL,
  `sex` int(1) DEFAULT NULL,
  `day` int(2) DEFAULT NULL,
  `month` int(2) DEFAULT NULL,
  `year` int(4) DEFAULT NULL,
  `hide_year` int(1) DEFAULT '0',
  `rrrrrr` int(11) DEFAULT NULL,
  `family` int(1) DEFAULT '0',
  `hobi` varchar(500) DEFAULT NULL,
  `about` varchar(1000) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `skype` varchar(50) DEFAULT NULL,
  `icq` varchar(50) DEFAULT NULL,
  `tel` varchar(50) DEFAULT NULL,
  `online` int(1) DEFAULT '0',
  `visit` int(11) DEFAULT NULL,
  `regtime` int(11) NOT NULL,
  `level` int(1) DEFAULT '0',
  `ban` int(1) DEFAULT '0',
  `access_page` int(1) DEFAULT '0',
  `access_wall` int(1) DEFAULT '0',
  `access_mail` int(1) DEFAULT '0',
  `lang` varchar(2) DEFAULT 'ua',
  `notifications` int(11) DEFAULT NULL,
  `notifications_journal` int(11) DEFAULT '0',
  `notifications_mail` int(11) DEFAULT '0',
  `notifications_feed` int(11) DEFAULT '0',
  `notifications_feed_uptime` int(11) DEFAULT NULL,
  `count_friends` int(11) DEFAULT '0',
  `count_photos` int(11) DEFAULT '0',
  `count_avatars` int(11) DEFAULT '0',
  `count_audio` int(11) DEFAULT '0',
  `count_video` int(11) DEFAULT '0',
  `notifications_friends` int(11) DEFAULT '0',
  `count_ask` int(11) DEFAULT '0',
  `count_wall` int(11) DEFAULT '0',
  `count_wall_photos` int(11) DEFAULT '0',
  `ip` varchar(25) NOT NULL,
  `ua` text NOT NULL,
  `device` varchar(15) NOT NULL,
  `region` int(11) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `restore` varchar(200) DEFAULT NULL,
  `count_groups` int(11) DEFAULT '0',
  `count_gifts` int(11) DEFAULT '0',
  `money` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `users_new` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `surname` varchar(50) NOT NULL,
  `mail` varchar(100) NOT NULL,
  `pass` varchar(200) NOT NULL,
  `sex` int(1) DEFAULT NULL,
  `regtime` int(11) NOT NULL,
  `ip` varchar(25) NOT NULL DEFAULT '',
  `ua` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;


CREATE TABLE IF NOT EXISTS `wall` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `wall_id` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  `text` varchar(10000) DEFAULT NULL,
  `photos` text,
  `video` text,
  `audio` text,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `urepost` text,
  `crepost` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  `time` int(11) NOT NULL,
  `repost_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `wall_cache` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `photos` text,
  `video` text,
  `audio` text,
  `count_photos` int(11) DEFAULT '0',
  `count_video` int(11) DEFAULT '0',
  `count_audio` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `wall_comm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` varchar(1000) NOT NULL,
  `quote` varchar(1000) DEFAULT NULL,
  `quote_id` int(11) DEFAULT NULL,
  `post_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;

CREATE TABLE IF NOT EXISTS `wall_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `wall_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ulike` text,
  `clike` int(11) DEFAULT '0',
  `comm` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;